Bug 275326 - In the place of pictures “?” is displaying in the attached document
Summary: In the place of pictures “?” is displaying in the attached document
Status: VERIFIED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: doc (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-10 09:58 UTC by swathi
Modified: 2011-06-29 05:44 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test data (29.50 KB, application/octet-stream)
2011-06-10 09:58 UTC, swathi
Details
Screenshot in MS Office (129.17 KB, image/x-png)
2011-06-10 09:59 UTC, swathi
Details
Screenshot in Calligra Words (115.75 KB, image/x-png)
2011-06-10 10:01 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-06-10 09:58:56 UTC
Created attachment 60854 [details]
Test data

Version: git checkout 8288143b7c1f9f9005209b55b651875219b0e9d6
        (Using KDE 4.5.5)                
     OS: Kubuntu 10.10
Test data is in word 2003 format which has some pictures in it.
Open the same document in Calligra Words.

Expected outcome:
In the 1st page ,After the text “Click on the “ pictures should be displayed.

Actual outcome:
? is displaying on the place of pictures.
Please check the screenshots attached.
Frequency:
Always.
Comment 1 swathi 2011-06-10 09:59:44 UTC
Created attachment 60855 [details]
Screenshot in MS Office
Comment 2 swathi 2011-06-10 10:01:36 UTC
Created attachment 60856 [details]
Screenshot in Calligra Words
Comment 3 Matus Uzak 2011-06-10 11:56:05 UTC
The DIB->PNG conversion of picture data is required in libmso.
Comment 4 LukasT 2011-06-10 16:56:22 UTC
Git commit 723fd35d12e54744161d35fdbe7a9da3776f51b0 by Lukáš Tvrdý.
Committed on 10/06/2011 at 16:50.
Pushed by lukast into branch 'master'.

Convert DIB images into PNG images

o rendering engine does not support displaying DIB format,
  therefore we convert the image to PNG
o enumerify
o coding style

BUG:275326

M  +107  -54   filters/libmso/pictures.cpp     
M  +22   -0    filters/libmso/pictures.h     

http://commits.kde.org/calligra/723fd35d12e54744161d35fdbe7a9da3776f51b0
Comment 5 swathi 2011-06-29 05:44:45 UTC
Verified in  5f6f9401b53343b140d2bae8587ec3a01f103fe1.